#include "Grid.h"

Grid::Grid(int size)
{
	m_table = std::vector<std::vector<Cell*>>(size);
	for(int i = 0 ; i < size ; i++)
	{
		m_table[i] = std::vector<Cell*>(size);
		for (int j = 0 ; j < size ; j++)
		{
			Cell * cell = new Cell();
			m_table[i][j] = cell;
		}
	}
}

Grid::~Grid()
{
	for(int i = 0 ; i < m_table.size() ; i++)
	{
		for(int i = 0 ; j < m_table[i].size() ; j++)
			delete m_table[i][j];
	}
}

void Grid::description()
{
	for(int i = 0 ; i < m_table.size() ; i++)
	{
		for(int j = 0 ; j < m_table[i].size() ; i++)
		{
			std::cout << m_table[i][j]->description();
		}
		std::cout << std::endl;
	}
}

